Bug 215671 - Screen Resolution is wrong after suspend
Screen Resolution is wrong after suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 23:22 EST by Justin Conover
Modified: 2008-05-06 20:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.04 KB, application/octet-stream)
2006-11-24 19:26 EST, Justin Conover
no flags Details
Xorg.log (92.23 KB, text/plain)
2006-11-24 19:27 EST, Justin Conover
no flags Details

  None (edit)
Description Justin Conover 2006-11-14 23:22:52 EST
Description of problem:  When coming back from suspend mode, the screen
resloution is smaller.  Normally at 1680x1050 and comes back areoun 1280 or 1024


Version-Release number of selected component (if applicable):
$ rpm -qa |egrep 'xorg-x11-server-Xorg|suspend|kernel' |sort
kernel-2.6.18-1.2798.fc6
kernel-2.6.18-1.2849.fc6
kernel-devel-2.6.18-1.2798.fc6
kernel-devel-2.6.18-1.2849.fc6
kernel-headers-2.6.18-1.2849.fc6
xorg-x11-server-Xorg-1.1.1-47.fc6



How reproducible:
Suspend, and come back.  Everytime.

Steps to Reproduce:
1. System - Suspend or close the LID
2. Open the LID
3. Screen Resolution is smaller
  
Actual results:


Expected results:
Screen comes back to normal 

Additional info: 
Dell E1505 Laptop
2x Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz
ATI x1400 (using VESA in xorg.conf)
Comment 1 Justin Conover 2006-11-23 13:17:02 EST
Well I installed the proprietry ati drivers and now my screen comes back to normal.
Comment 2 Matěj Cepl 2006-11-24 12:06:33 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card. Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Justin Conover 2006-11-24 19:26:12 EST
Created attachment 142100 [details]
xorg.conf

Here is a new xorg.conf, I moved the old one out of the way and turned of
fglrx.	Suspended and came back with about an 1 inch on both sides smaller than
the regular resolution.
Comment 4 Justin Conover 2006-11-24 19:27:27 EST
Created attachment 142101 [details]
Xorg.log

Here is the log after coming back from suspend.
Comment 5 Matěj Cepl 2006-12-14 07:59:40 EST
Just to emphasize that the reporter is using vesa driver.
Comment 6 Bug Zapper 2008-04-03 14:38:01 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:59:41 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.